SerialDevice Class Reference

SerialDevice class represent a COM port hardware on host. More...

`#include <SerialList.h>`

## Public Member Functions

| SerialDevice ()
| Generated standard constructor.
| SerialDevice (LPCTSTR port)
| Generated standard constructor with a parameter.
virtual | ~SerialDevice ()
| Generated standard destructor.
virtual CString | GetString ()
| Get the string containing COM port.(COMxx)
virtual uint32_t | GetNum ()
| Get the port number only.

## Detailed Description

SerialDevice class represent a COM port hardware on host.

The documentation for this class was generated from the following file:

- SerialList.h